Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

use Perl Log In

Log In

[ Create a new account ]

gav (2710)

gav
  (email not shown publicly)
http://www.estey.com/
AOL IM: flufflegavin (Add Buddy, Send Message)

Hacker in NYC.

Journal of gav (2710)

Tuesday January 13, 2004
10:40 PM

OS X 10.3 and Perl

[ #16817 ]

Since I've installed 10.3 I've been unable to install modules because MakeMaker would complain about missing headers. A note from schwern pointed me at the BSD SDK which I installed. All the developer tools are on the Xcode Tools CD which I ignored because I didn't care about Xcode. Then I got a strange error which I then thought I found the solution from pudge for, but my gcc_select didn't support gcc 3.3. More Googling found help from Dan which pointed me in the right direction. It seems if you upgrade to 10.3 you need to reinstall the Developer Tools but Apple aren't nice enough to point that out (or I missed it somewhere). After 20 mins of my iBook's cdrom squeaking and 200 meg of stuff installed and my hard drive optimized and all that fun stuff, I had a working Perl. Hooray!

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • Xcode is the Developer Tools. It is what you want for Panther. You can choose not to install the IDE I think, if you don't want it, but it is where you will get the updated gcc etc.